package frc.robot.subsystems;

import com.revrobotics.CANSparkMax;
import com.revrobotics.CANSparkLowLevel.MotorType;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.ClimberConstants;

public class Climber extends SubsystemBase {
    private CANSparkMax motor1;
    private CANSparkMax motor2;

    public Climber() {
        motor1 = new CANSparkMax(ClimberConstants.kMotor1ID, MotorType.kBrushless);
        motor2 = new CANSparkMax(ClimberConstants.kMotor2ID, MotorType.kBrushless);

        motor2.follow(motor1);
    }

    public Command runClimber(double speed) {
        return run(() -> {
            motor1.set(speed);
        });
    }

    public Command stopClimber() {
        return run(() -> {
            motor1.set(0);
        });
    }
}
